import { AutocompleteContext, CompletionResult } from '@nexucis/codemirror-next-autocomplete';
import { LSPClient } from '../client/lsp';
import { PrometheusClient } from '../client/prometheus';
export interface CompleteStrategy {
    promQL(context: AutocompleteContext): Promise<CompletionResult> | CompletionResult | null;
}
export interface CompleteConfiguration {
    lsp?: {
        url?: string;
        lspClient?: LSPClient;
        httpErrorHandler?: (error: any) => void;
    };
    hybrid?: {
        url?: string;
        lookbackInterval?: number;
        httpErrorHandler?: (error: any) => void;
        prometheusClient?: PrometheusClient;
    };
}
export declare function newCompleteStrategy(conf?: CompleteConfiguration): CompleteStrategy;
